uk.gov.hmrc.http

# HttpPut

###
Related Doc: package http

#### trait HttpPut extends CorePut with PutHttpTransport with HttpVerb with ConnectionTracing with HttpHooks

Linear Supertypes
HttpHooks, ConnectionTracing, HttpVerb, Request, PutHttpTransport, CorePut, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpPut
2. HttpHooks
3. ConnectionTracing
4. HttpVerb
5. Request
6. PutHttpTransport
7. CorePut
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type ProcessingFunction = (Future[HttpResponse], String) ⇒ Future[HttpResponse]

   Definition Classes
     HttpVerb
   Annotations
     @deprecated
   Deprecated

     (Since version 18/03/2015) ProcessingFunction is obsolete, use the relevant HttpReads[A] instead

### Abstract Value Members

1. #### abstract def configuration: Option[Config]

   Attributes
     protected
   Definition Classes
     HttpVerb

2. #### abstract def doPut[A](url: String, body: A)(implicit rds: Writes[A], hc: HeaderCarrier): Future[HttpResponse]

   Definition Classes
     PutHttpTransport

3. #### abstract val hooks: Seq[HttpHook]

   Definition Classes
     HttpHooks

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val NoneRequired: Seq[HttpHook]

   Definition Classes
     HttpHooks

5. #### def PUT[I, O](url: String, body: I)(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]

   Definition Classes
     HttpPut → CorePut

6. #### def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]

   Definition Classes
     HttpVerb → Request

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def badGatewayMessage(verbName: String, url: String, e: Exception): String

   Definition Classes
     HttpVerb

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### lazy val connectionLogger: Logger

    Definition Classes
      ConnectionTracing

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def executeHooks(url: String, verb: String, body: Option[_], responseF: Future[HttpResponse])(implicit hc: HeaderCarrier, ec: ExecutionContext): Unit

    Attributes
      protected
    Definition Classes
      HttpHooks

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatMessage(ld: LoggingDetails, method: String, uri: String, startAge: Long, message: String): String

    Definition Classes
      ConnectionTracing

16. #### def gatewayTimeoutMessage(verbName: String, url: String, e: Exception): String

    Definition Classes
      HttpVerb

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### lazy val internalHostPatterns: Seq[Regex]

    Definition Classes
      HttpVerb

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def logResult[A](ld: LoggingDetails, method: String, uri: String, startAge: Long)(result: Try[A]): Unit

    Definition Classes
      ConnectionTracing

22. #### def mapErrors(httpMethod: String, url: String, f: Future[HttpResponse])(implicit ec: ExecutionContext): Future[HttpResponse]

    Definition Classes
      HttpVerb

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### lazy val userAgentHeader: Seq[(String, String)]

    Definition Classes
      HttpVerb

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### def withTracing[T](method: String, uri: String)(body: ⇒ Future[T])(implicit ld: LoggingDetails, ec: ExecutionContext): Future[T]

    Definition Classes
      ConnectionTracing

### Inherited from HttpHooks

### Inherited from ConnectionTracing

### Inherited from HttpVerb

### Inherited from Request

### Inherited from PutHttpTransport

### Inherited from CorePut

### Inherited from AnyRef

### Inherited from Any

### Ungrouped